Extending Qt Creator Manual | ILocatorFilter

Extending Qt Creator Manual 4.3.0

# ILocatorFilter Class

(Core::ILocatorFilter)

- List of all members, including inherited members

## Public Types

enum | Priority { Highest, High, Medium, Low }

## Public Functions

| ILocatorFilter(QObject *parent = 0)
virtual | ~ILocatorFilter()
virtual void | accept(LocatorFilterEntry selection) const = 0
QString | displayName() const
Id | id() const
bool | isConfigurable() const
bool | isEnabled() const
bool | isHidden() const
bool | isIncludedByDefault() const
virtual QList<LocatorFilterEntry> | matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry) = 0
virtual bool | openConfigDialog(QWidget *parent, bool &needsRefresh)
virtual void | prepareSearch(const QString &entry)
Priority | priority() const
virtual void | refresh(QFutureInterface<void> &future) = 0
virtual bool | restoreState(const QByteArray &state)
virtual QByteArray | saveState() const
void | setIncludedByDefault(bool includedByDefault)
void | setShortcutString(const QString &shortcut)
QString | shortcutString() const

## Public Slots

void | setEnabled(bool enabled)

## Static Public Members

Qt::CaseSensitivity | caseSensitivity(const QString &str)
QString | msgConfigureDialogTitle()
QString | msgIncludeByDefault()
QString | msgIncludeByDefaultToolTip()
QString | msgPrefixLabel()
QString | msgPrefixToolTip()
QString | trimWildcards(const QString &str)

## Protected Functions

void | setConfigurable(bool configurable)
void | setDisplayName(const QString &displayString)
void | setHidden(bool hidden)
void | setId(Id id)
void | setPriority(Priority priority)

## Member Type Documentation

### enum ILocatorFilter::Priority

## Member Function Documentation

### ILocatorFilter::ILocatorFilter(QObject *parent = 0)

Default constructs an instance of ILocatorFilter.

### `[virtual]` ILocatorFilter::~ILocatorFilter()

Destroys the instance of ILocatorFilter. The destructor is virtual.

### `[pure virtual]` void ILocatorFilter::accept(LocatorFilterEntry selection) const

### `[static]` Qt::CaseSensitivity ILocatorFilter::caseSensitivity(const QString &str)

### QString ILocatorFilter::displayName() const

See also setDisplayName().

### Id ILocatorFilter::id() const

See also setId().

### bool ILocatorFilter::isConfigurable() const

### bool ILocatorFilter::isEnabled() const

### bool ILocatorFilter::isHidden() const

### bool ILocatorFilter::isIncludedByDefault() const

### `[pure virtual]` QList<LocatorFilterEntry> ILocatorFilter::matchesFor(QFutureInterface<LocatorFilterEntry> &future, const QString &entry)

### `[static]` QString ILocatorFilter::msgConfigureDialogTitle()

### `[static]` QString ILocatorFilter::msgIncludeByDefault()

### `[static]` QString ILocatorFilter::msgIncludeByDefaultToolTip()

### `[static]` QString ILocatorFilter::msgPrefixLabel()

### `[static]` QString ILocatorFilter::msgPrefixToolTip()

### `[virtual]` bool ILocatorFilter::openConfigDialog(QWidget *parent, bool &needsRefresh)

### `[virtual]` void ILocatorFilter::prepareSearch(const QString &entry)

### Priority ILocatorFilter::priority() const

See also setPriority().

### `[pure virtual]` void ILocatorFilter::refresh(QFutureInterface<void> &future)

### `[virtual]` bool ILocatorFilter::restoreState(const QByteArray &state)

### `[virtual]` QByteArray ILocatorFilter::saveState() const

### `[protected]` void ILocatorFilter::setConfigurable(bool configurable)

See also isConfigurable().

### `[protected]` void ILocatorFilter::setDisplayName(const QString &displayString)

See also displayName().

### `[slot]` void ILocatorFilter::setEnabled(bool enabled)

See also isEnabled().

### `[protected]` void ILocatorFilter::setHidden(bool hidden)

See also isHidden().

### `[protected]` void ILocatorFilter::setId(Id id)

See also id().

### void ILocatorFilter::setIncludedByDefault(bool includedByDefault)

See also isIncludedByDefault().

### `[protected]` void ILocatorFilter::setPriority(Priority priority)

See also priority().

### void ILocatorFilter::setShortcutString(const QString &shortcut)

See also shortcutString().

### QString ILocatorFilter::shortcutString() const

See also setShortcutString().

### `[static]` QString ILocatorFilter::trimWildcards(const QString &str)